Skip to main content
Topic: foo_vst: VST 2.4 adapter (Read 384182 times) previous topic - next topic
0 Members and 1 Guest are viewing this topic.

foo_vst: VST 2.4 adapter

Reply #201
The adapter uses the Foobar's profile folder to store the file named vst_entries.bin. In a default standard installation it's in AppData as tomten said. In a portable installation you get everything in one folder in any case. Franky, I guess you're trying to zip normal installation with manually added components. Generally, this is a wrong way. If this is the case then I'd recomment you to use portable installations instead.

foo_vst: VST 2.4 adapter

Reply #202
Entrase,

You are right. I should use portable installation instead of standard installation.

Thanks.

foo_vst: VST 2.4 adapter

Reply #203
Here is version 0.9.0.3. It should not be removed on updates anymore. Please tell me if so.

foo_vst: VST 2.4 adapter

Reply #204
Thanks Entrase, as soon as as new foobar version is released, will test and report.

foo_vst: VST 2.4 adapter

Reply #205
Hello Yegor,
I installed 0.9.3 version and it seems to working better, but you said that you'll implement Esc shortcut to close plugin window. Did you do it? It doesn't work on mine computer.

foo_vst: VST 2.4 adapter

Reply #206
No, I haven't implemented it yet. I decided not to bother because I need to rewrite the whole plug-in GUI stuff from scratch anyway. So don't worry, I didn't forget.

Actually, 0.9.0.3 wasn't planned at all. It's just to fix that update removal bug. And I'm way too busy these weeks to work on the adapter.

foo_vst: VST 2.4 adapter

Reply #207
An idea for GUI (control button) ...
instead of: this

foo_vst: VST 2.4 adapter

Reply #208
This is how it looked initially  The problem here is that user can't get help message. I know that current solution is weird (especially in Wine) but it is to be changed to something different with introduction of new multichannel support modes (see below). Perhaps there will be a simple button to access a dialog box with different settings.

I'm planning to introduce more flexibility into multichannel config support. One will be able to not only limit the number of channels but also to process surround audio with (for example) stereo plug-ins by means of synchronized instances. It sounds a little bit complicated, I know, but if everything is fine then it'll be transparent to the user.

foo_vst: VST 2.4 adapter

Reply #209
I hope your work will be rewarded with success. Thanks for the reply.

foo_vst: VST 2.4 adapter

Reply #210
OK So I am trying out OZ4 right now and have a couple question for you

When I go to play 6 ch tracks, if OZ4 is in the chain I only get 2 channels.
  Note I also have to switch to use the ASIO output due to my HDMI/ASUS setup.  As soon as I pull OZ4 out of the DSP chain I get all 6 chs. 

1 - any way to fix this?

2 - any way to be able to process all 6ch with OZ4?

foo_vst: VST 2.4 adapter

Reply #211
One other question - I used to use Ozone MP which had the ability to assign different presets to different tracks - anything like that doable in the VST wrapper?

foo_vst: VST 2.4 adapter

Reply #212
Quote
any way to be able to process all 6ch with OZ4?
I'm going to make it possible in the next major release (see my previous post).
Quote
ability to assign different presets to different tracks
Nope. I think it should be the task for a whole different component with a purpose of DSP chain management.

foo_vst: VST 2.4 adapter

Reply #213
Quote
any way to be able to process all 6ch with OZ4?
I'm going to make it possible in the next major release (see my previous post).
Quote
ability to assign different presets to different tracks
Nope. I think it should be the task for a whole different component with a purpose of DSP chain management.



Sounds good!  From what I can tell so far you have done a great job on this.

Any eta on that version?  If its going to be awhile, maybe you could slap in the logic to just turn itself off if the channels are > 2 instead of forcing the output down to 2 channels as it does now.

I agree a separate component  might be OK - the only hard part would be to find a way to "tell" the plugin what to load -unless that communication is built into OZ4 - not that familiar with the interface or product.

foo_vst: VST 2.4 adapter

Reply #214
Mmm, not sure it's worth implementing now. Just wait a week or two please, ok?

foo_vst: VST 2.4 adapter

Reply #215
Mmm, not sure it's worth implementing now. Just wait a week or two please, ok?


No problem - be happy to wait, just was not sure if you were talking months :-).

foo_vst: VST 2.4 adapter

Reply #216
I noticed one item you might want to address:

If you have the DSP plugin window open and you go and remove a plugin from the chain, then the plugin window stays open.

I hope this is clear.


foo_vst: VST 2.4 adapter

Reply #217
As clear as daylight. It's actually a FAQ (yet to be added to the FAQ though). Sorry but this will not be fixed soon. I doubt it's ever going to be fixed. Foobar2000 is not supposed to support modeless DSP config windows at all (which means you're not supposed to be able to remove the DSP when its window is open). The VST [un]loading synchronization is already a hell there and I don't want to completely screw that barely working stuff up. Sorry once again and thank you for the report.

foo_vst: VST 2.4 adapter

Reply #218
That's a good one! Thanks!

foo_vst: VST 2.4 adapter

Reply #219
Hi,

I have problems with plugins from Waves (I own the Renmaxx bundle and the CLA Compressors). These plugins need about 10-15 sek for loading.
In the newest version I can not configure them: "This feature isn't implemented for non-GUI plug-ins yet. Sorry."
In fact they have guis and oldr versions of the adapter could open the gui.

Cheers
Alex

 

foo_vst: VST 2.4 adapter

Reply #220
Can anyone give a link for any free free vst plugins please?


foo_vst: VST 2.4 adapter

Reply #222
http://kvraudio.com/get.php

Quote
In the newest version I can not configure them: "This feature isn't implemented for non-GUI plug-ins yet. Sorry."
In fact they have guis and oldr versions of the adapter could open the gui.
Perhaps these plug-ins report that they have no GUI. Older versions didn't take these reports into account. But may be it's not that simple. I'll try to find out. Do these plug-ins have trial version?

foo_vst: VST 2.4 adapter

Reply #223
Hi,
yes they have, but sadly you need an iLok Dongle to use the demos........

foo_vst: VST 2.4 adapter

Reply #224
Can anyone give a link for any free free vst plugins please?


There are links from the Audacity site at SourceForge to a bunch of free VST sites.  The links are 3/4 of the way down the page.  I wouldn't be surprised if there were more free VST plug ins on SourceForge too.

 
SimplePortal 1.0.0 RC1 © 2008-2019